Bug 1167373 - (CVE-2019-18860) VUL-1: CVE-2019-18860: squid: when certain web browsers are used, mishandles HTML in the host (aka hostname) parameter to cachemgr.cgi.
(CVE-2019-18860)
VUL-1: CVE-2019-18860: squid: when certain web browsers are used, mishandles ...
Status: NEW
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/255527/
CVSSv3.1:SUSE:CVE-2019-18860:4.3:(AV...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-03-23 07:35 UTC by Robert Frohl
Modified: 2022-10-18 09:36 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Frohl 2020-03-23 07:35:53 UTC
CVE-2019-18860

Squid before 4.9, when certain web browsers are used, mishandles HTML in the
host (aka hostname) parameter to cachemgr.cgi.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-18860
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-18860
https://github.com/squid-cache/squid/pull/504
https://github.com/squid-cache/squid/pull/505
Comment 3 Swamp Workflow Management 2020-04-29 10:14:15 UTC
SUSE-SU-2020:1134-1: An update that fixes 6 vulnerabilities is now available.

Category: security (important)
Bug References: 1162689,1162691,1167373,1169659,1170313
CVE References: CVE-2019-12519,CVE-2019-12521,CVE-2019-12528,CVE-2019-18860,CVE-2020-11945,CVE-2020-8517
Sources used:
SUSE Linux Enterprise Server 12-SP5 (src):    squid-4.11-4.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 4 Swamp Workflow Management 2020-04-30 13:17:34 UTC
SUSE-SU-2020:1156-1: An update that fixes 6 vulnerabilities is now available.

Category: security (important)
Bug References: 1162689,1162691,1167373,1169659,1170313
CVE References: CVE-2019-12519,CVE-2019-12521,CVE-2019-12528,CVE-2019-18860,CVE-2020-11945,CVE-2020-8517
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    squid-4.11-5.17.2
SUSE Linux Enterprise Server 15-LTSS (src):    squid-4.11-5.17.2
SUSE Linux Enterprise Module for Server Applications 15-SP2 (src):    squid-4.11-5.17.2
SUSE Linux Enterprise Module for Server Applications 15-SP1 (src):    squid-4.11-5.17.2
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    squid-4.11-5.17.2
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    squid-4.11-5.17.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2020-05-11 09:11:18 UTC
openSUSE-SU-2020:0623-1: An update that fixes 6 vulnerabilities is now available.

Category: security (important)
Bug References: 1162689,1162691,1167373,1169659,1170313
CVE References: CVE-2019-12519,CVE-2019-12521,CVE-2019-12528,CVE-2019-18860,CVE-2020-11945,CVE-2020-8517
Sources used:
openSUSE Leap 15.1 (src):    squid-4.11-lp151.2.15.2
Comment 7 Swamp Workflow Management 2020-06-30 16:14:33 UTC
SUSE-SU-2020:1803-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1167373,1173304
CVE References: CVE-2019-18860,CVE-2020-14059
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    squid-3.5.21-26.26.1
SUSE OpenStack Cloud 8 (src):    squid-3.5.21-26.26.1
SUSE OpenStack Cloud 7 (src):    squid-3.5.21-26.26.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    squid-3.5.21-26.26.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    squid-3.5.21-26.26.1
SUSE Linux Enterprise Server 12-SP4 (src):    squid-3.5.21-26.26.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    squid-3.5.21-26.26.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    squid-3.5.21-26.26.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    squid-3.5.21-26.26.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    squid-3.5.21-26.26.1
SUSE Enterprise Storage 5 (src):    squid-3.5.21-26.26.1
HPE Helion Openstack 8 (src):    squid-3.5.21-26.26.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2020-08-24 16:14:39 UTC
SUSE-SU-2020:14460-1: An update that fixes 21 vulnerabilities is now available.

Category: security (important)
Bug References: 1140738,1141329,1141332,1156323,1156324,1156326,1156328,1156329,1162687,1162689,1162691,1167373,1169659,1170313,1170423,1173304,1173455
CVE References: CVE-2019-12519,CVE-2019-12520,CVE-2019-12521,CVE-2019-12523,CVE-2019-12524,CVE-2019-12525,CVE-2019-12526,CVE-2019-12528,CVE-2019-12529,CVE-2019-13345,CVE-2019-18676,CVE-2019-18677,CVE-2019-18678,CVE-2019-18679,CVE-2019-18860,CVE-2020-11945,CVE-2020-14059,CVE-2020-15049,CVE-2020-8449,CVE-2020-8450,CVE-2020-8517
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    squid3-3.1.23-8.16.37.12.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    squid3-3.1.23-8.16.37.12.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    squid3-3.1.23-8.16.37.12.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.